summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorcoderkun2015-05-26 22:50:17 +0200
committercoderkun2015-05-26 22:50:17 +0200
commit47b6c59025dd1286165baff40b0ae58920b4e6c4 (patch)
treeeba719965b2eba8b5f8231267cc77b20a2afc3bc
downloadaur-47b6c59025dd1286165baff40b0ae58920b4e6c4.tar.gz
add package “rssowl”
-rw-r--r--.SRCINFO25
-rw-r--r--PKGBUILD46
-rw-r--r--rssowl.desktop11
-rw-r--r--rssowl.install8
4 files changed, 90 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..3e80a3817d3
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,25 @@
+# Generated by makepkg 4.2.1
+# Tue May 26 20:35:56 UTC 2015
+pkgbase = rssowl
+ pkgdesc = A java based RSS feed reader with Google Reader synchronization
+ pkgver = 2.2.1
+ pkgrel = 4
+ url = http://rssowl.org/
+ install = rssowl.install
+ arch = i686
+ arch = x86_64
+ license = EPL
+ depends = java-runtime
+ depends = alsa-lib
+ depends = gtk2
+ depends = gconf
+ depends = hunspell
+ depends = libxt
+ depends = nss
+ source = http://downloads.sourceforge.net/rssowl/rssowl-2.2.1.linux.x86_64.zip
+ source = rssowl.desktop
+ md5sums = 7751803db518b267b0dca121c1532747
+ md5sums = 8cdc03eb95a959e4196d1995783e24b1
+
+pkgname = rssowl
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..a1c36b71925
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,46 @@
+# Maintainer: coderkun <olli AT coderkun DOT de>
+
+pkgname=rssowl
+pkgver=2.2.1
+pkgrel=4
+pkgdesc="A java based RSS feed reader with Google Reader synchronization"
+arch=('i686' 'x86_64')
+url="http://rssowl.org/"
+license=('EPL')
+depends=('java-runtime' 'alsa-lib' 'gtk2' 'gconf' 'hunspell' 'libxt' 'nss')
+install=rssowl.install
+
+if [[ "$CARCH" = "x86_64" ]]; then
+ source=("http://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.linux.x86_64.zip")
+ md5sums=('7751803db518b267b0dca121c1532747')
+else
+ source=("http://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.linux.x86.zip")
+ md5sums=('7295bbce792dc921ac89781ac717e6f6')
+fi
+source+=("${pkgname}.desktop")
+md5sums+=('8cdc03eb95a959e4196d1995783e24b1')
+
+build() {
+ cd "${srcdir}/${pkgname}"
+
+ echo -e "#!/bin/sh\n\n/usr/share/${pkgname}/RSSOwl \"\${@}\"" > "${pkgname}"
+ sed -i -e 's:moz_libdir=.*:moz_libdir=/usr/share/rssowl/xulrunner:' xulrunner/xulrunner
+}
+
+package() {
+ cd "${srcdir}"
+ # xulrunner 1.9 (shipped by RSSOwl) expects /lib/libhunspell-1.2.so.0
+ if ! [ -e "libhunspell-1.2.so.0" ]; then
+ ln -s "/usr/lib/libhunspell.so" "libhunspell-1.2.so.0"
+ fi
+ install -D "libhunspell-1.2.so.0" "${pkgdir}/usr/lib/libhunspell-1.2.so.0"
+
+ cd "${srcdir}/${pkgname}"
+ mkdir -p "${pkgdir}/usr/share/${pkgname}"
+ cp -r * "${pkgdir}/usr/share/${pkgname}"
+ chmod +x "${pkgdir}/usr/share/${pkgname}/xulrunner/xulrunner"
+ chmod +x "${pkgdir}/usr/share/${pkgname}/xulrunner/xulrunner-bin"
+ chmod +x "${pkgdir}/usr/share/${pkgname}/xulrunner/run-mozilla.sh"
+ install -Dm755 "${pkgname}" "${pkgdir}/usr/bin/${pkgname}"
+ install -Dm644 "${srcdir}/${pkgname}.desktop" "${pkgdir}/usr/share/applications/${pkgname}.desktop"
+}
diff --git a/rssowl.desktop b/rssowl.desktop
new file mode 100644
index 00000000000..18b20d11067
--- /dev/null
+++ b/rssowl.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Encoding=UTF-8
+Exec=rssowl
+Name=RSSOwl
+GenericName=RSS Reader
+X-KDE-StartupNotify=true
+Comment=RSS Reader
+Icon=/usr/share/rssowl/icon.xpm
+Terminal=false
+Type=Application
+Categories=Network;
diff --git a/rssowl.install b/rssowl.install
new file mode 100644
index 00000000000..2b33dd92ba9
--- /dev/null
+++ b/rssowl.install
@@ -0,0 +1,8 @@
+post_install() {
+ /usr/share/rssowl/xulrunner/xulrunner --register-user
+}
+
+pre_remove() {
+ /usr/share/rssowl/xulrunner/xulrunner --unregister-user
+}
+